//Persistence of Vision Ray Tracer Scene Description File
//Date: 11/30/07
//Author: Russell Towle
//shows usage of polar zonohedron macros

#version 3.61;
global_settings { assumed_gamma 1.8 }
#include "colors.inc"
#include "metals.inc"
#include "textures.inc"
#include "pzmacro.mcr"//this file contains the faces macro
#include "framemacro.mcr"//this file contains the frame macro
#default {texture{pigment{color White}finish{phong 0.01 ambient 0.2 diffuse 0.6}}}

#declare SRAD = .15; //radius of spheres
#declare CRAD = .10; //radius of cylinders
#declare T1 = texture{ Gold_Metal }//texture of spheres
#declare T2 = texture{ T_Silver_1A }//texture of cylinders

#declare N = 12;
object{ polarzonohedron(N, 35) pigment {rgb <.5,.5,1>}  }
object{ framezonohedron (N, 35, SRAD, CRAD) }

camera {
	location <0,15,-15>
	up y
	right 4/3*x
	angle 40
	look_at CENT//the center of the polar zonohedron, defined in both macros
}

light_source{ <0, 150, 0>  rgb <1,1,1> }

plane{y, -SRAD //make plane kiss bottom sphere
pigment { checker rgb 0, rgb 1}
}

